require 'cs582.scripts.follow'

animLoad('lettuce', 'lettuce.png')

-- does lettuce need to be Collidable for it to be grab-able?  maybe ?
-- ooh, here's an issue.
-- spawntypes are set and all with their default group and bbox associations ...
-- but what about when mid-script we use the class to instanciate something?
-- how about we use some predef vars in the class, like 'bbox', 'group', etc
-- and when we hit Spawnable it sets those variables within each class
-- then in the class ctor code it refs those class vars for grabbing defaults ... ?
entclass('Lettuce', FollowEntity)
function Lettuce:ctor(so)
	Lettuce.super.ctor(self,so)
	-- give the lettuce a spin
	self:setAngle(math.random() * 360)
	self:setRotation((math.random() - 0.5) * 3600)
end
function Lettuce:touch(other)
	Lettuce.super.touch(self,other)
	self:setRotation(240 * (math.random() - 0.5) * math.sqrt(vec2.lenSq(self:getVel())))
end
Lettuce.followBounceForce = 10
Lettuce.animGroup = 'lettuce'
Spawnable(Lettuce)

