require 'wellstory.scripts.ents'
require 'base.scripts.floatingtext'

-- for all ents that show da
entclass('ShowsDamage', TakesDamage)

ShowsDamage.showDamage = true

function ShowsDamage:takeDamage(other, damage)
	ShowsDamage.super.takeDamage(self, other, damage)
	if self.showDamage then
		-- todo - show damage color override class var?
		local color = nil
		if self:isa(Player) then color = vec4:new(10,0,0,1) end
		FloatingText:new(vec2:new(self:getPosX(), self:getPosY() - 1), damage, color)
	end
end
