-- in this file write 'initworld' as the string that the first map plays
-- fill 'baseinclude' with any files you always want to require in your lua scripts
-- 'luapaths' will be an array with any search paths you want to give lua (same format as the package.paths string)
-- 'spritepaths' same deal for finding sprites
-- 'texpaths' same deal with map textures
-- 'mappaths' same deal with maps

-- add map texs to the sprite search
spritepaths:insert('bomblo/tex')

-- and reset our map types since we're overhauling physics
maptypes = table.new{
	'Empty',
	'Solid',
	'Tree',
	'Water',
}

baseinclude:append{
	'bomblo.scripts.player',
-- in theory all these would be added by the map as the map found it needed them
	'bomblo.scripts.door',
	'bomblo.scripts.chest',
	'bomblo.scripts.door',
	'bomblo.scripts.money',
	'bomblo.scripts.trogdor',
	'bomblo.scripts.framer',
	'bomblo.scripts.medusa',
}


