--[[
maybe a common subclass is in order
as it stands every class that requires from ents.lua for this mod to Renderable
they will get the zScale when the class is created
	and any subsequent zScale changes will be ignored
(because we flatten subclasses upon inheritence)
as a result everyone who subclasses Renderabale who wants this change must require this file

ofcourse all the other subclasses of Renderable from base have already been flattened
and anyone who inherits from them has a false zScale already...

to fix that, rather htan chagen only Renderable.zScale, just change them all
--]]

-- first set up ents
require 'base.scripts.ents'

-- then hack it
for _,cl in pairs(_entClasses) do
	if cl:isa(Renderable) then
		cl.zScale = 0
	end
end

