require 'base.scripts.shader'

-- shadertest for the map

-- todo
--	and somehow we need a zero plane for our water
--	that makes me think of exposing uniforms
--	and that makes me think we should just make water brushes their own object
--		complete with zero plane and with splashing geometry
--			and grid based fluid solver with your cheeseburger and pepsi
waterFragmentCode = fragmentShaderUniforms .. [[
varying vec2 screenPos;
void main() {
	vec4 spriteColor = texture2D(spritetex, gl_TexCoord[0].st);
	vec4 lightColor = texture2D(lighttex, gl_TexCoord[1].st);
	vec2 ofstc = gl_TexCoord[1].st;
	ofstc.y = -ofstc.y;
//offset gives a good wave
	ofstc.x = ofstc.x - .03 * ofstc.y * ofstc.y * sin(ofstc.y * 200. + 5. * time);
//but what of compression?
//	ofstc.x = ofstc.x + .03 * sin(ofstc.x * 50. + time * 5.) * sin(ofstc.y * 10.);
	vec4 ofsScreenColor = texture2D(lastscreentex, ofstc);
	gl_FragColor.rgb = ofsScreenColor.rgb;// * spriteColor.rgb;
	gl_FragColor.a = spriteColor.a;
}
]]


renderShader{
	name = 'water';	-- map binding
	vertexCode = defaultVertexCode;
	fragmentCode = waterFragmentCode;
}

